// creator  : weidu.exe (version 23100)
// argument : AMMONK02.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~AMMONK02~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 8 even though they appear after this state */
~Global("MONKSPAWNEDSMUGGLERPLOT","GLOBAL",1)
Global("CaveEnter","AR5504",2)~ THEN BEGIN 0 // from:
  SAY #66918 /* ~These mercenaries have filed a complaint that you are selling stolen goods, Carras.  This operation is closed, and all merchandise is forfeit to the Monastery.~ [2AMONK07] */
  IF ~~ THEN EXTERN ~AMCARRAS~ 0
END

IF ~~ THEN BEGIN 1 // from: AMCARRAS:0.0
  SAY #66943 /* ~Tell us where Esamon is, Carras, and we will let you go.~ [2AMONK08] */
  IF ~~ THEN EXTERN ~AMCARRAS~ 1
END

IF ~~ THEN BEGIN 2 // from: AMCARRAS:1.0
  SAY #66944 /* ~Then I will arrest you instead.  For your sake, I hope Esamon shows up before we find it necessary to interrogate you.~ [2AMONK09] */
  IF ~~ THEN EXTERN ~AMCARRAS~ 2
END

IF ~~ THEN BEGIN 3 // from: AMCARRAS:2.0
  SAY #66946 /* ~Silence, Carras!  Wait... what is this?  It seems we have a would be customer in our midst. The infamous child of Bhaal, if the descriptions of Balthazar are at all accurate.~ [2AMONK10] */
  IF ~~ THEN GOTO 4
  IF ~IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEI25J~ 23
  IF ~IsValidForPartyDialog("HaerDalis")~ THEN EXTERN ~HAERD25J~ 4
  IF ~IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSC25J~ 2
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #66951 /* ~I could arrest you for being an accessory, Bhaalspawn.  However I am in a generous mood.  I suggest you leave now, and don't interfere in our business here.~ */
  IF ~~ THEN REPLY #66958 /* ~I'm not looking for trouble with Balthazar.~ */ GOTO 7
  IF ~~ THEN REPLY #66960 /* ~Sorry, I've got my own score to settle with these smugglers and their leader!~ */ GOTO 6
  IF ~~ THEN REPLY #66964 /* ~We all know this is going to end in violence - let's just cut right to the good stuff.~ */ GOTO 5
  IF ~~ THEN REPLY #66970 /* ~Every time I see you monks you're intimidating and bullying people.~ */ GOTO 6
END

IF WEIGHT #2 /* Triggers after states #: 8 even though they appear after this state */
~False()~ THEN BEGIN 5 // from: 6.2 6.1 4.2
  SAY #66965 /* ~To arms, my brothers!  We are attacked!~ [2AMONK12] */
  IF ~~ THEN DO ~SetGlobal("SmugglerPlot","GLOBAL",1)
ActionOverride("amcarras",DialogueInterrupt(FALSE))
ActionOverride("ammonk04",DialogueInterrupt(FALSE))
ActionOverride("ammonk05",DialogueInterrupt(FALSE))
ActionOverride("ammonk06",DialogueInterrupt(FALSE))
ActionOverride("ammonk04",Enemy())
ActionOverride("ammonk05",Enemy())
ActionOverride("ammonk06",Enemy())
DialogueInterrupt(FALSE)
Enemy()~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.3 4.1
  SAY #66966 /* ~Stand aside.  I will not allow Balthazar's work to be interrupted by the likes of you.~ [2AMONK13] */
  IF ~~ THEN REPLY #66967 /* ~Okay.  I'm not looking for any trouble.~ */ GOTO 7
  IF ~~ THEN REPLY #66968 /* ~I've had enough of your high handed attitude - time to teach you some respect!~ */ GOTO 5
  IF ~~ THEN REPLY #66971 /* ~I won't stand by and let you continue Balthazar's reign of terror unchallenged!~ */ GOTO 5
END

IF ~~ THEN BEGIN 7 // from: 6.0 4.0
  SAY #66969 /* ~You show great wisdom.  Brothers, let us close down this den of criminal activity.~ [2AMONK11] */
  IF ~~ THEN DO ~SetGlobal("ThfArrest","GLOBAL",1)
SetGlobalTimer("ThfMonksGone","GLOBAL",30)~ EXIT
END

IF WEIGHT #0 ~Global("ThfArrest","GLOBAL",1)~ THEN BEGIN 8 // from:
  SAY #73854 /* ~Leave us to our work and begone.~ */
  IF ~~ THEN EXIT
END
